org.apache.ignite.spi.deployment

## Class DeploymentResourceAdapter

- java.lang.Object
- - org.apache.ignite.spi.deployment.DeploymentResourceAdapter

All Implemented Interfaces:
  DeploymentResource

    public class DeploymentResourceAdapter
    extends Object
    implements DeploymentResource

Simple adapter for `DeploymentResource` interface.

### Constructor Summary

Constructors
Constructor and Description
`DeploymentResourceAdapter(String name, Class<?> rsrcCls, ClassLoader clsLdr)` Creates resource.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`
`ClassLoader` `getClassLoader()` Gets resource class loader.
`String` `getName()` Gets resource name, either class name or alias name, such as alias specified by `ComputeTaskName` annotation.
`Class<?>` `getResourceClass()` Gets resource class.
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeploymentResourceAdapter

    public DeploymentResourceAdapter(String name,
                                     Class<?> rsrcCls,
                                     ClassLoader clsLdr)

Creates resource.

Parameters:
  `name` - Resource name.
  `rsrcCls` - Class.
  `clsLdr` - Class loader.

### Method Detail

#### getName

    public String getName()

Gets resource name, either class name or alias name, such as alias specified by `ComputeTaskName` annotation.

Specified by:
  `getName` in interface `DeploymentResource`
Returns:
  Resource name.

#### getResourceClass

    public Class<?> getResourceClass()

Gets resource class.

Specified by:
  `getResourceClass` in interface `DeploymentResource`
Returns:
  Resource class.

#### getClassLoader

    public ClassLoader getClassLoader()

Gets resource class loader.

Specified by:
  `getClassLoader` in interface `DeploymentResource`
Returns:
  Resource class loader.

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020